ICHWDT(4)

NAME
ichwdt - Intel 6300ESB ICH watchdog timer device

SYNOPSIS
ichwdt* at pci?

DESCRIPTION
The ichwdt driver supports the watchdog timer of the Intel 6300ESB I/O Controller Hub.

ichwdt provides the standard watchdog(4) interface and may be used with watchdogd(8). The watchdog timer can be configured via sysctl(8).

Once the watchdog timer resets the CPU, the driver reports it on the next boot displaying the ``reboot on timeout'' message in the dmesg.

SEE ALSO
intro(4), pci(4), watchdog(4), sysctl(8), watchdogd(8)

HISTORY
The ichwdt device first appeared in OpenBSD 3.8.

AUTHORS
The ichwdt driver was written by Alexander Yurchenko <grange@openbsd.org>.